[torqueusers] Torque-2.1.6 Compile Error

Tim Miller btmiller at helix.nih.gov
Wed Oct 25 10:02:04 MDT 2006


??? wrote:
> Dear all,
> 
> I am trying to install Torque-2.1.6 on RedHat 9.0. I am running make as root.
> Following is the error message when I make.
> .........
> /usr/bin/ld: cannot find -lX11
> collect2: ld returned 1 exit status
> make[2]: *** [qstat] Error 1
> make[2]: Leaving directory `/usr/src/torque-2.1.6/src/cmds'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/usr/src/torque-2.1.6/src'
> make: *** [all-recursive] Error 1
> 
> Can anyone please tell me how to get the install pass this point?

It looks like you're missing your X libraries. Are they installed on 
your system? If you don't need the X stuff you can use the --disable-gui 
argument to configure to stop from building them.

Tim


More information about the torqueusers mailing list